#! /bin/bash

#Se cambian de dueño los archivos cga en las siguientes rutas:
chown -R root:root /etc/sudoers.d/cga*
chown root:root /usr/share/cga*
chown root:root /usr/bin/cga*


#Crear el directorio /home/usuario/mnt/RECURSOS
mkdir -p /home/usuario/mnt/HGR/RECURSOS

#Se modifican el propietario de la ruta que pasa a ser de root y se le añaden todo los permisos
chown -R root:root /home/usuario/mnt/HGR/RECURSOS
chmod -R 0777 /home/usuario/mnt/HGR/RECURSOS

#Añadir el contenido al smb.conf
echo -e "\n[RECURSOS]\ncomment = Carpeta compartida por el profesor\npath = /home/usuario/mnt/HGR/RECURSOS\nread only = no\nwritable = yes\nbrowsable = no\ncreate mask = 0777\nforce create mode = 0777\ndirectory mask = 0777\nforce directory mode = 0777\nforce user = usuario\nforce group = usuario\n" >> /etc/samba/smb.conf

#Añadir el nuevo usuario del sistema a Samba.
printf "usuario\nusuario\n" | smbpasswd -a -s usuario

chgrp sambashare /home/usuario/mnt/HGR/RECURSOS

#Reiniciar el servicio SAMBA
sudo systemctl restart smbd.service
