#!/bin/bash
pid_proceso="$(ps ax | grep '/usr/lib/erlang/erts.*/bin/beam' | grep -v grep | awk '{print $1}')"

case "$1" in
  start)
    if [ "$pid_proceso" != "" ]; then
      sudo /etc/init.d/ejabberd-cgaconfig restart
    else
      sudo /etc/init.d/ejabberd-cgaconfig start
    fi
  ;;

  stop)
    sudo /etc/init.d/ejabberd-cgaconfig stop
  ;;

  *)
    echo "Parametro recibido desconocido"
    exit 1
esac
